Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network66.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
66.0.0.0
Broadcast address
66.127.255.255
First usable
66.0.0.1
Last usable
66.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 42000000 · Integer 1107296256 to 1115684863
Reverse DNS zones
0.66.in-addr.arpa
1.66.in-addr.arpa
2.66.in-addr.arpa
3.66.in-addr.arpa
4.66.in-addr.arpa
5.66.in-addr.arpa
6.66.in-addr.arpa
7.66.in-addr.arpa
8.66.in-addr.arpa
9.66.in-addr.arpa
10.66.in-addr.arpa
11.66.in-addr.arpa
12.66.in-addr.arpa
13.66.in-addr.arpa
14.66.in-addr.arpa
15.66.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01000010.00000000.00000000.0000000066.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01000010.00000000.00000000.0000000066.0.0.0
Broadcast01000010.01111111.11111111.1111111166.127.255.255
Split into smaller subnets/21

66.0.0.0/9 makes 4,096 subnets of /21; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
166.0.0.0/2166.0.0.1 to 66.0.7.25466.0.7.2552,046
266.0.8.0/2166.0.8.1 to 66.0.15.25466.0.15.2552,046
366.0.16.0/2166.0.16.1 to 66.0.23.25466.0.23.2552,046
466.0.24.0/2166.0.24.1 to 66.0.31.25466.0.31.2552,046
566.0.32.0/2166.0.32.1 to 66.0.39.25466.0.39.2552,046
666.0.40.0/2166.0.40.1 to 66.0.47.25466.0.47.2552,046
766.0.48.0/2166.0.48.1 to 66.0.55.25466.0.55.2552,046
866.0.56.0/2166.0.56.1 to 66.0.63.25466.0.63.2552,046
966.0.64.0/2166.0.64.1 to 66.0.71.25466.0.71.2552,046
1066.0.72.0/2166.0.72.1 to 66.0.79.25466.0.79.2552,046
1166.0.80.0/2166.0.80.1 to 66.0.87.25466.0.87.2552,046
1266.0.88.0/2166.0.88.1 to 66.0.95.25466.0.95.2552,046
1366.0.96.0/2166.0.96.1 to 66.0.103.25466.0.103.2552,046
1466.0.104.0/2166.0.104.1 to 66.0.111.25466.0.111.2552,046
1566.0.112.0/2166.0.112.1 to 66.0.119.25466.0.119.2552,046
1666.0.120.0/2166.0.120.1 to 66.0.127.25466.0.127.2552,046
1766.0.128.0/2166.0.128.1 to 66.0.135.25466.0.135.2552,046
1866.0.136.0/2166.0.136.1 to 66.0.143.25466.0.143.2552,046
1966.0.144.0/2166.0.144.1 to 66.0.151.25466.0.151.2552,046
2066.0.152.0/2166.0.152.1 to 66.0.159.25466.0.159.2552,046
2166.0.160.0/2166.0.160.1 to 66.0.167.25466.0.167.2552,046
2266.0.168.0/2166.0.168.1 to 66.0.175.25466.0.175.2552,046
2366.0.176.0/2166.0.176.1 to 66.0.183.25466.0.183.2552,046
2466.0.184.0/2166.0.184.1 to 66.0.191.25466.0.191.2552,046
2566.0.192.0/2166.0.192.1 to 66.0.199.25466.0.199.2552,046
2666.0.200.0/2166.0.200.1 to 66.0.207.25466.0.207.2552,046
2766.0.208.0/2166.0.208.1 to 66.0.215.25466.0.215.2552,046
2866.0.216.0/2166.0.216.1 to 66.0.223.25466.0.223.2552,046
2966.0.224.0/2166.0.224.1 to 66.0.231.25466.0.231.2552,046
3066.0.232.0/2166.0.232.1 to 66.0.239.25466.0.239.2552,046
3166.0.240.0/2166.0.240.1 to 66.0.247.25466.0.247.2552,046
3266.0.248.0/2166.0.248.1 to 66.0.255.25466.0.255.2552,046
3366.1.0.0/2166.1.0.1 to 66.1.7.25466.1.7.2552,046
3466.1.8.0/2166.1.8.1 to 66.1.15.25466.1.15.2552,046
3566.1.16.0/2166.1.16.1 to 66.1.23.25466.1.23.2552,046
3666.1.24.0/2166.1.24.1 to 66.1.31.25466.1.31.2552,046
3766.1.32.0/2166.1.32.1 to 66.1.39.25466.1.39.2552,046
3866.1.40.0/2166.1.40.1 to 66.1.47.25466.1.47.2552,046
3966.1.48.0/2166.1.48.1 to 66.1.55.25466.1.55.2552,046
4066.1.56.0/2166.1.56.1 to 66.1.63.25466.1.63.2552,046
4166.1.64.0/2166.1.64.1 to 66.1.71.25466.1.71.2552,046
4266.1.72.0/2166.1.72.1 to 66.1.79.25466.1.79.2552,046
4366.1.80.0/2166.1.80.1 to 66.1.87.25466.1.87.2552,046
4466.1.88.0/2166.1.88.1 to 66.1.95.25466.1.95.2552,046
4566.1.96.0/2166.1.96.1 to 66.1.103.25466.1.103.2552,046
4666.1.104.0/2166.1.104.1 to 66.1.111.25466.1.111.2552,046
4766.1.112.0/2166.1.112.1 to 66.1.119.25466.1.119.2552,046
4866.1.120.0/2166.1.120.1 to 66.1.127.25466.1.127.2552,046
4966.1.128.0/2166.1.128.1 to 66.1.135.25466.1.135.2552,046
5066.1.136.0/2166.1.136.1 to 66.1.143.25466.1.143.2552,046
5166.1.144.0/2166.1.144.1 to 66.1.151.25466.1.151.2552,046
5266.1.152.0/2166.1.152.1 to 66.1.159.25466.1.159.2552,046
5366.1.160.0/2166.1.160.1 to 66.1.167.25466.1.167.2552,046
5466.1.168.0/2166.1.168.1 to 66.1.175.25466.1.175.2552,046
5566.1.176.0/2166.1.176.1 to 66.1.183.25466.1.183.2552,046
5666.1.184.0/2166.1.184.1 to 66.1.191.25466.1.191.2552,046
5766.1.192.0/2166.1.192.1 to 66.1.199.25466.1.199.2552,046
5866.1.200.0/2166.1.200.1 to 66.1.207.25466.1.207.2552,046
5966.1.208.0/2166.1.208.1 to 66.1.215.25466.1.215.2552,046
6066.1.216.0/2166.1.216.1 to 66.1.223.25466.1.223.2552,046
6166.1.224.0/2166.1.224.1 to 66.1.231.25466.1.231.2552,046
6266.1.232.0/2166.1.232.1 to 66.1.239.25466.1.239.2552,046
6366.1.240.0/2166.1.240.1 to 66.1.247.25466.1.247.2552,046
6466.1.248.0/2166.1.248.1 to 66.1.255.25466.1.255.2552,046
6566.2.0.0/2166.2.0.1 to 66.2.7.25466.2.7.2552,046
6666.2.8.0/2166.2.8.1 to 66.2.15.25466.2.15.2552,046
6766.2.16.0/2166.2.16.1 to 66.2.23.25466.2.23.2552,046
6866.2.24.0/2166.2.24.1 to 66.2.31.25466.2.31.2552,046
6966.2.32.0/2166.2.32.1 to 66.2.39.25466.2.39.2552,046
7066.2.40.0/2166.2.40.1 to 66.2.47.25466.2.47.2552,046
7166.2.48.0/2166.2.48.1 to 66.2.55.25466.2.55.2552,046
7266.2.56.0/2166.2.56.1 to 66.2.63.25466.2.63.2552,046
7366.2.64.0/2166.2.64.1 to 66.2.71.25466.2.71.2552,046
7466.2.72.0/2166.2.72.1 to 66.2.79.25466.2.79.2552,046
7566.2.80.0/2166.2.80.1 to 66.2.87.25466.2.87.2552,046
7666.2.88.0/2166.2.88.1 to 66.2.95.25466.2.95.2552,046
7766.2.96.0/2166.2.96.1 to 66.2.103.25466.2.103.2552,046
7866.2.104.0/2166.2.104.1 to 66.2.111.25466.2.111.2552,046
7966.2.112.0/2166.2.112.1 to 66.2.119.25466.2.119.2552,046
8066.2.120.0/2166.2.120.1 to 66.2.127.25466.2.127.2552,046
8166.2.128.0/2166.2.128.1 to 66.2.135.25466.2.135.2552,046
8266.2.136.0/2166.2.136.1 to 66.2.143.25466.2.143.2552,046
8366.2.144.0/2166.2.144.1 to 66.2.151.25466.2.151.2552,046
8466.2.152.0/2166.2.152.1 to 66.2.159.25466.2.159.2552,046
8566.2.160.0/2166.2.160.1 to 66.2.167.25466.2.167.2552,046
8666.2.168.0/2166.2.168.1 to 66.2.175.25466.2.175.2552,046
8766.2.176.0/2166.2.176.1 to 66.2.183.25466.2.183.2552,046
8866.2.184.0/2166.2.184.1 to 66.2.191.25466.2.191.2552,046
8966.2.192.0/2166.2.192.1 to 66.2.199.25466.2.199.2552,046
9066.2.200.0/2166.2.200.1 to 66.2.207.25466.2.207.2552,046
9166.2.208.0/2166.2.208.1 to 66.2.215.25466.2.215.2552,046
9266.2.216.0/2166.2.216.1 to 66.2.223.25466.2.223.2552,046
9366.2.224.0/2166.2.224.1 to 66.2.231.25466.2.231.2552,046
9466.2.232.0/2166.2.232.1 to 66.2.239.25466.2.239.2552,046
9566.2.240.0/2166.2.240.1 to 66.2.247.25466.2.247.2552,046
9666.2.248.0/2166.2.248.1 to 66.2.255.25466.2.255.2552,046
9766.3.0.0/2166.3.0.1 to 66.3.7.25466.3.7.2552,046
9866.3.8.0/2166.3.8.1 to 66.3.15.25466.3.15.2552,046
9966.3.16.0/2166.3.16.1 to 66.3.23.25466.3.23.2552,046
10066.3.24.0/2166.3.24.1 to 66.3.31.25466.3.31.2552,046
10166.3.32.0/2166.3.32.1 to 66.3.39.25466.3.39.2552,046
10266.3.40.0/2166.3.40.1 to 66.3.47.25466.3.47.2552,046
10366.3.48.0/2166.3.48.1 to 66.3.55.25466.3.55.2552,046
10466.3.56.0/2166.3.56.1 to 66.3.63.25466.3.63.2552,046
10566.3.64.0/2166.3.64.1 to 66.3.71.25466.3.71.2552,046
10666.3.72.0/2166.3.72.1 to 66.3.79.25466.3.79.2552,046
10766.3.80.0/2166.3.80.1 to 66.3.87.25466.3.87.2552,046
10866.3.88.0/2166.3.88.1 to 66.3.95.25466.3.95.2552,046
10966.3.96.0/2166.3.96.1 to 66.3.103.25466.3.103.2552,046
11066.3.104.0/2166.3.104.1 to 66.3.111.25466.3.111.2552,046
11166.3.112.0/2166.3.112.1 to 66.3.119.25466.3.119.2552,046
11266.3.120.0/2166.3.120.1 to 66.3.127.25466.3.127.2552,046
11366.3.128.0/2166.3.128.1 to 66.3.135.25466.3.135.2552,046
11466.3.136.0/2166.3.136.1 to 66.3.143.25466.3.143.2552,046
11566.3.144.0/2166.3.144.1 to 66.3.151.25466.3.151.2552,046
11666.3.152.0/2166.3.152.1 to 66.3.159.25466.3.159.2552,046
11766.3.160.0/2166.3.160.1 to 66.3.167.25466.3.167.2552,046
11866.3.168.0/2166.3.168.1 to 66.3.175.25466.3.175.2552,046
11966.3.176.0/2166.3.176.1 to 66.3.183.25466.3.183.2552,046
12066.3.184.0/2166.3.184.1 to 66.3.191.25466.3.191.2552,046
12166.3.192.0/2166.3.192.1 to 66.3.199.25466.3.199.2552,046
12266.3.200.0/2166.3.200.1 to 66.3.207.25466.3.207.2552,046
12366.3.208.0/2166.3.208.1 to 66.3.215.25466.3.215.2552,046
12466.3.216.0/2166.3.216.1 to 66.3.223.25466.3.223.2552,046
12566.3.224.0/2166.3.224.1 to 66.3.231.25466.3.231.2552,046
12666.3.232.0/2166.3.232.1 to 66.3.239.25466.3.239.2552,046
12766.3.240.0/2166.3.240.1 to 66.3.247.25466.3.247.2552,046
12866.3.248.0/2166.3.248.1 to 66.3.255.25466.3.255.2552,046
12966.4.0.0/2166.4.0.1 to 66.4.7.25466.4.7.2552,046
13066.4.8.0/2166.4.8.1 to 66.4.15.25466.4.15.2552,046
13166.4.16.0/2166.4.16.1 to 66.4.23.25466.4.23.2552,046
13266.4.24.0/2166.4.24.1 to 66.4.31.25466.4.31.2552,046
13366.4.32.0/2166.4.32.1 to 66.4.39.25466.4.39.2552,046
13466.4.40.0/2166.4.40.1 to 66.4.47.25466.4.47.2552,046
13566.4.48.0/2166.4.48.1 to 66.4.55.25466.4.55.2552,046
13666.4.56.0/2166.4.56.1 to 66.4.63.25466.4.63.2552,046
13766.4.64.0/2166.4.64.1 to 66.4.71.25466.4.71.2552,046
13866.4.72.0/2166.4.72.1 to 66.4.79.25466.4.79.2552,046
13966.4.80.0/2166.4.80.1 to 66.4.87.25466.4.87.2552,046
14066.4.88.0/2166.4.88.1 to 66.4.95.25466.4.95.2552,046
14166.4.96.0/2166.4.96.1 to 66.4.103.25466.4.103.2552,046
14266.4.104.0/2166.4.104.1 to 66.4.111.25466.4.111.2552,046
14366.4.112.0/2166.4.112.1 to 66.4.119.25466.4.119.2552,046
14466.4.120.0/2166.4.120.1 to 66.4.127.25466.4.127.2552,046
14566.4.128.0/2166.4.128.1 to 66.4.135.25466.4.135.2552,046
14666.4.136.0/2166.4.136.1 to 66.4.143.25466.4.143.2552,046
14766.4.144.0/2166.4.144.1 to 66.4.151.25466.4.151.2552,046
14866.4.152.0/2166.4.152.1 to 66.4.159.25466.4.159.2552,046
14966.4.160.0/2166.4.160.1 to 66.4.167.25466.4.167.2552,046
15066.4.168.0/2166.4.168.1 to 66.4.175.25466.4.175.2552,046
15166.4.176.0/2166.4.176.1 to 66.4.183.25466.4.183.2552,046
15266.4.184.0/2166.4.184.1 to 66.4.191.25466.4.191.2552,046
15366.4.192.0/2166.4.192.1 to 66.4.199.25466.4.199.2552,046
15466.4.200.0/2166.4.200.1 to 66.4.207.25466.4.207.2552,046
15566.4.208.0/2166.4.208.1 to 66.4.215.25466.4.215.2552,046
15666.4.216.0/2166.4.216.1 to 66.4.223.25466.4.223.2552,046
15766.4.224.0/2166.4.224.1 to 66.4.231.25466.4.231.2552,046
15866.4.232.0/2166.4.232.1 to 66.4.239.25466.4.239.2552,046
15966.4.240.0/2166.4.240.1 to 66.4.247.25466.4.247.2552,046
16066.4.248.0/2166.4.248.1 to 66.4.255.25466.4.255.2552,046
16166.5.0.0/2166.5.0.1 to 66.5.7.25466.5.7.2552,046
16266.5.8.0/2166.5.8.1 to 66.5.15.25466.5.15.2552,046
16366.5.16.0/2166.5.16.1 to 66.5.23.25466.5.23.2552,046
16466.5.24.0/2166.5.24.1 to 66.5.31.25466.5.31.2552,046
16566.5.32.0/2166.5.32.1 to 66.5.39.25466.5.39.2552,046
16666.5.40.0/2166.5.40.1 to 66.5.47.25466.5.47.2552,046
16766.5.48.0/2166.5.48.1 to 66.5.55.25466.5.55.2552,046
16866.5.56.0/2166.5.56.1 to 66.5.63.25466.5.63.2552,046
16966.5.64.0/2166.5.64.1 to 66.5.71.25466.5.71.2552,046
17066.5.72.0/2166.5.72.1 to 66.5.79.25466.5.79.2552,046
17166.5.80.0/2166.5.80.1 to 66.5.87.25466.5.87.2552,046
17266.5.88.0/2166.5.88.1 to 66.5.95.25466.5.95.2552,046
17366.5.96.0/2166.5.96.1 to 66.5.103.25466.5.103.2552,046
17466.5.104.0/2166.5.104.1 to 66.5.111.25466.5.111.2552,046
17566.5.112.0/2166.5.112.1 to 66.5.119.25466.5.119.2552,046
17666.5.120.0/2166.5.120.1 to 66.5.127.25466.5.127.2552,046
17766.5.128.0/2166.5.128.1 to 66.5.135.25466.5.135.2552,046
17866.5.136.0/2166.5.136.1 to 66.5.143.25466.5.143.2552,046
17966.5.144.0/2166.5.144.1 to 66.5.151.25466.5.151.2552,046
18066.5.152.0/2166.5.152.1 to 66.5.159.25466.5.159.2552,046
18166.5.160.0/2166.5.160.1 to 66.5.167.25466.5.167.2552,046
18266.5.168.0/2166.5.168.1 to 66.5.175.25466.5.175.2552,046
18366.5.176.0/2166.5.176.1 to 66.5.183.25466.5.183.2552,046
18466.5.184.0/2166.5.184.1 to 66.5.191.25466.5.191.2552,046
18566.5.192.0/2166.5.192.1 to 66.5.199.25466.5.199.2552,046
18666.5.200.0/2166.5.200.1 to 66.5.207.25466.5.207.2552,046
18766.5.208.0/2166.5.208.1 to 66.5.215.25466.5.215.2552,046
18866.5.216.0/2166.5.216.1 to 66.5.223.25466.5.223.2552,046
18966.5.224.0/2166.5.224.1 to 66.5.231.25466.5.231.2552,046
19066.5.232.0/2166.5.232.1 to 66.5.239.25466.5.239.2552,046
19166.5.240.0/2166.5.240.1 to 66.5.247.25466.5.247.2552,046
19266.5.248.0/2166.5.248.1 to 66.5.255.25466.5.255.2552,046
19366.6.0.0/2166.6.0.1 to 66.6.7.25466.6.7.2552,046
19466.6.8.0/2166.6.8.1 to 66.6.15.25466.6.15.2552,046
19566.6.16.0/2166.6.16.1 to 66.6.23.25466.6.23.2552,046
19666.6.24.0/2166.6.24.1 to 66.6.31.25466.6.31.2552,046
19766.6.32.0/2166.6.32.1 to 66.6.39.25466.6.39.2552,046
19866.6.40.0/2166.6.40.1 to 66.6.47.25466.6.47.2552,046
19966.6.48.0/2166.6.48.1 to 66.6.55.25466.6.55.2552,046
20066.6.56.0/2166.6.56.1 to 66.6.63.25466.6.63.2552,046
20166.6.64.0/2166.6.64.1 to 66.6.71.25466.6.71.2552,046
20266.6.72.0/2166.6.72.1 to 66.6.79.25466.6.79.2552,046
20366.6.80.0/2166.6.80.1 to 66.6.87.25466.6.87.2552,046
20466.6.88.0/2166.6.88.1 to 66.6.95.25466.6.95.2552,046
20566.6.96.0/2166.6.96.1 to 66.6.103.25466.6.103.2552,046
20666.6.104.0/2166.6.104.1 to 66.6.111.25466.6.111.2552,046
20766.6.112.0/2166.6.112.1 to 66.6.119.25466.6.119.2552,046
20866.6.120.0/2166.6.120.1 to 66.6.127.25466.6.127.2552,046
20966.6.128.0/2166.6.128.1 to 66.6.135.25466.6.135.2552,046
21066.6.136.0/2166.6.136.1 to 66.6.143.25466.6.143.2552,046
21166.6.144.0/2166.6.144.1 to 66.6.151.25466.6.151.2552,046
21266.6.152.0/2166.6.152.1 to 66.6.159.25466.6.159.2552,046
21366.6.160.0/2166.6.160.1 to 66.6.167.25466.6.167.2552,046
21466.6.168.0/2166.6.168.1 to 66.6.175.25466.6.175.2552,046
21566.6.176.0/2166.6.176.1 to 66.6.183.25466.6.183.2552,046
21666.6.184.0/2166.6.184.1 to 66.6.191.25466.6.191.2552,046
21766.6.192.0/2166.6.192.1 to 66.6.199.25466.6.199.2552,046
21866.6.200.0/2166.6.200.1 to 66.6.207.25466.6.207.2552,046
21966.6.208.0/2166.6.208.1 to 66.6.215.25466.6.215.2552,046
22066.6.216.0/2166.6.216.1 to 66.6.223.25466.6.223.2552,046
22166.6.224.0/2166.6.224.1 to 66.6.231.25466.6.231.2552,046
22266.6.232.0/2166.6.232.1 to 66.6.239.25466.6.239.2552,046
22366.6.240.0/2166.6.240.1 to 66.6.247.25466.6.247.2552,046
22466.6.248.0/2166.6.248.1 to 66.6.255.25466.6.255.2552,046
22566.7.0.0/2166.7.0.1 to 66.7.7.25466.7.7.2552,046
22666.7.8.0/2166.7.8.1 to 66.7.15.25466.7.15.2552,046
22766.7.16.0/2166.7.16.1 to 66.7.23.25466.7.23.2552,046
22866.7.24.0/2166.7.24.1 to 66.7.31.25466.7.31.2552,046
22966.7.32.0/2166.7.32.1 to 66.7.39.25466.7.39.2552,046
23066.7.40.0/2166.7.40.1 to 66.7.47.25466.7.47.2552,046
23166.7.48.0/2166.7.48.1 to 66.7.55.25466.7.55.2552,046
23266.7.56.0/2166.7.56.1 to 66.7.63.25466.7.63.2552,046
23366.7.64.0/2166.7.64.1 to 66.7.71.25466.7.71.2552,046
23466.7.72.0/2166.7.72.1 to 66.7.79.25466.7.79.2552,046
23566.7.80.0/2166.7.80.1 to 66.7.87.25466.7.87.2552,046
23666.7.88.0/2166.7.88.1 to 66.7.95.25466.7.95.2552,046
23766.7.96.0/2166.7.96.1 to 66.7.103.25466.7.103.2552,046
23866.7.104.0/2166.7.104.1 to 66.7.111.25466.7.111.2552,046
23966.7.112.0/2166.7.112.1 to 66.7.119.25466.7.119.2552,046
24066.7.120.0/2166.7.120.1 to 66.7.127.25466.7.127.2552,046
24166.7.128.0/2166.7.128.1 to 66.7.135.25466.7.135.2552,046
24266.7.136.0/2166.7.136.1 to 66.7.143.25466.7.143.2552,046
24366.7.144.0/2166.7.144.1 to 66.7.151.25466.7.151.2552,046
24466.7.152.0/2166.7.152.1 to 66.7.159.25466.7.159.2552,046
24566.7.160.0/2166.7.160.1 to 66.7.167.25466.7.167.2552,046
24666.7.168.0/2166.7.168.1 to 66.7.175.25466.7.175.2552,046
24766.7.176.0/2166.7.176.1 to 66.7.183.25466.7.183.2552,046
24866.7.184.0/2166.7.184.1 to 66.7.191.25466.7.191.2552,046
24966.7.192.0/2166.7.192.1 to 66.7.199.25466.7.199.2552,046
25066.7.200.0/2166.7.200.1 to 66.7.207.25466.7.207.2552,046
25166.7.208.0/2166.7.208.1 to 66.7.215.25466.7.215.2552,046
25266.7.216.0/2166.7.216.1 to 66.7.223.25466.7.223.2552,046
25366.7.224.0/2166.7.224.1 to 66.7.231.25466.7.231.2552,046
25466.7.232.0/2166.7.232.1 to 66.7.239.25466.7.239.2552,046
25566.7.240.0/2166.7.240.1 to 66.7.247.25466.7.247.2552,046
25666.7.248.0/2166.7.248.1 to 66.7.255.25466.7.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses